function periods_prediction(infile,outfile,wind);
if nargin<1
    infile='^DJI_close.txt';
    infile='dj_remains.txt';
end
if nargin<2
    outfile='^DJI_closePeriodPrognoz.txt';
end
if nargin<3
    wind=975;
end

y=dlmread(infile);
%y=y(1:10000);
%for wind=950:25:1100
    [y_cosinuses,rr,times, extrems]=serier2rr(y,wind,1);
    var_rrall=std(rr)/mean(rr);
    fprintf(1,'wind=%d,std=%d\n',wind,var_rrall);
%end
%dlmwrite(outfile,y_cosinuses,'\n');
% 20110403 Старый вариант. Не редактировал.

    